> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Clone Bundle

> Clones a bundle with all its options, price books, and products. The cloned bundle is created as inactive without a header product.



## OpenAPI

````yaml swagger.json post /bundles/{bundleId}/clone
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /bundles/{bundleId}/clone:
    post:
      tags:
        - Bundles
      summary: Clone Bundle
      description: >-
        Clones a bundle with all its options, price books, and products. The
        cloned bundle is created as inactive without a header product.
      parameters:
        - name: bundleId
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Bundle cloned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CloneBundleResponse'
        '401':
          description: Unauthorized
        '404':
          description: Bundle not found
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CloneBundleResponse:
      type: object
      properties:
        id:
          type: string
      required:
        - id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````